### Struct

# Foundry GitUri

#### Description

    struct FoundryGitUri {
      /* No available fields */
    }

No description available.

#### Constructors

###### foundry_git_uri_new

No description available.

#### Functions

###### foundry_git_uri_is_valid

No description available.

#### Instance methods

###### foundry_git_uri_get_clone_name

Determines a suggested name for the checkout directory. Some special handling of suffixes such as “.git” are performed to improve the the quality of results.

###### foundry_git_uri_get_host

No description available.

###### foundry_git_uri_get_path

No description available.

###### foundry_git_uri_get_port

No description available.

###### foundry_git_uri_get_scheme

No description available.

###### foundry_git_uri_get_user

No description available.

###### foundry_git_uri_ref

No description available.

###### foundry_git_uri_set_host

No description available.

###### foundry_git_uri_set_path

No description available.

###### foundry_git_uri_set_port

No description available.

###### foundry_git_uri_set_scheme

No description available.

###### foundry_git_uri_set_user

No description available.

###### foundry_git_uri_to_string

No description available.

###### foundry_git_uri_unref

No description available.